.container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 150px;
    max-width: 100%;
}

.container-item, .container-itemL, .qr-container {
    background-color: #ffffff;
    border: 1px solid #ddd;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    margin: 10px 0;
    padding: 20px;
    transition: transform 0.3s;
    max-width: 100%;
    box-sizing: border-box;
}


.container-item:hover, .container-itemL:hover, .nested-item:hover {
    transform: scale(1.02);
}

.container-item {
    flex: 1 1 300px;
    max-width: 300px;
}

.container-itemL {
    flex: 2 1 700px;
    max-width: 700px;
}

.price-headers {
    text-align: center;
    font-size: 28px;
    margin-bottom: 20px;
    font-size: 2em;
}

.nested-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
    margin: 20px 0;
}

.nested-item {
    flex: 1 1 45%;
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    padding: 20px;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    transition: transform 0.3s;
}

.nested-item h3 {
    font-size: 1.5em;
    text-align: center;
    margin-bottom: 15px;
    color: #2c3e50;
}

.nested-item ul {
    list-style-type: none;
    padding: 0;
}

.nested-item ul li {
    margin-bottom: 10px;
    text-align: left;
    font-size: 1.2em;
}

.nested-item ul li::before {
    content: '•';
    color: #007BFF;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    margin-left: -1em;
}

.nights-container {
    background-color: #ffffff;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    margin: 20px 0;
    transition: transform 0.3s;
    height: 330px;
    margin-top: 10px;
}

.nights-container:hover {
    transform: scale(1.05);
}

.nights-container p {
    margin: 10px 0;
    font-size: 1.2em;
    line-height: 1.6;
}

.nights-container p:first-of-type {
    font-weight: bold;
    color: #2c3e50;
}

h1 {
    text-align: center;
    margin: 20px 0;
    font-size: 2.5em;
    color: #2c3e50;
}

h2 {
    text-align: center;
    margin: 15px 0;
    font-size: 2em;
    color: #2c3e50;
}

p {
    text-align: center;
    margin: 10px 0;
    font-size: 1.1em;
    color: white;
    line-height: 1.6;
}

.section {
    background-color: #ffffff;
    border: 1px solid #ddd;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    margin-top: 10px;
    transition: transform 0.3s;
}

.section:hover {
    transform: scale(1.02);
}

h3 {
    font-size: 2em;
    color: #2c3e50;
    margin-bottom: 20px;
    text-align: center;
}

h4 {
    font-size: 1.5em;
    color: #2c3e50;
    margin-bottom: 15px;
    text-align: center;
    margin-top: 10px;
}

.section p {
    font-size: 1.1em;
    line-height: 1.6;
    margin-bottom: 10px;
    text-align: center;
    color: black;
}

.contact-link1 {
    display: block;
    margin-left: auto;
    margin-right: auto;
    background-color: #2c3e50;
    color: #fff;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s;
    text-align: center;
    font-weight: bold;
    align-self: center;
    width: 160px;
    margin-bottom: 10px;
}

.contact-link1:hover {
    background-color: #0056b3;
}

.qr-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.qr-container img {
    max-width: 200px;
    margin: 10px 0;
}

.qr-container p {
    font-size: 1.1em;
    color: #333;
    margin-top: 10px;
}

.qr-container a {
    color: #007bff;
    text-decoration: none;
    font-weight: bold;
}

.qr-container a:hover {
    text-decoration: underline;
}

.social-media-container {
    display: flex;
    justify-content: center;
    flex-direction: row;
    gap: 20px;
    margin-bottom: 30px;
}

.social-media-icon {
    width: 50px;
    height: 50px;
    background-size: cover;
    transition: transform 0.3s ease-in-out;
}

.social-media-icon:hover {
    transform: scale(1.1);
}


@media screen and (max-width: 900px) {



.container {
    width: 100%;
    height: auto;
    flex-direction: column;
    justify-content: center;
}


.container-item, .container-itemL {
    width: 100%;
    height: auto;
}

h1 {
    font-size: 2em;
}

h2 {
    font-size: 1.7em;
}

h3 {
    font-size: 1.5em;
}

h4 {
    font-size: 1.3em;
}

p {
    font-size: 1.0em;
}


.container-item, .container-itemL, .qr-container {
        flex: 1 1 100%;
        max-width: 100%;
        gap: 10px;
    }

    .nested-container {
        flex-direction: column;
    }

    .nested-item {
        flex: 1 1 100%;
        max-width: 100%;
        gap: 10px;
    }




}